package com.lovecoding.day10.cons;

public class Student {

    String name;

//    //构造方法 没有构造方法 系统默认给出
//    无参的构造方法
    public Student(){
        System.out.println("无参的构造方法");
    }

    //当有了 有参数的构造方法 系统不会提供无参数的构造方法
    public Student(String name){
        this.name = name;
        System.out.println("有参的构造方法："+name);
    }

    //两个构造方法之间可以重载
    public Student(String name , int age){
        //this调用 其他构造方法 this 必须在第一行
        this(name,age,"1001");
        System.out.println("两个参数的构造方法："+name+":"+age);
    }


    //this调用
    //this(参数)
    public Student(String name , int age, String number){
        System.out.println("三个参数的构造方法："+name+":"+age+":"+number);
    }
}
